Subject: Re: bug#75194: Compilation of latest `scratch/igc' fails with `xwidget' on MacOS

From: 黄京 <[email-masked]>
Date: Tue, 31 Dec 2024 08:56:26 +0800

> I'd be very interested to hear whether this survives some GC cycles (M-x
> igc-stats; then hit "c" a few times) when xwidgets are in use.  If it
> does, we can close this bug.

Thanks for the quick fix!

Emacs built successfully, and after manually cycling GC while rendering web
pages in xwidget, everything appears to work correctly without crashes.

I believe this resolves the issue, and the bug can be considered fixed and
closed.  Let me know if any further verification is needed.

Pip Cet <[email-masked]> 於 2024年12月31日 週二 上午7:21寫道：

> Pip Cet <[email-masked]> writes:
>
> > 黄京 <[email-masked]> writes:
> >
> >> Hi,
> >>
> >> I'm encountering a compile-time error when building the latest Emacs
> igc branch with the `--with-mps=yes' and `--with-xwidget' options:
> >
> > The good news it's easy to fix that particular error (add ".header");
> > the bad news is that no one reported this before, so you'd be the first
> > to test this combination.
>
> > It's probably best to look over the xwidgets code to make sure it
> > doesn't have any obvious problems before testing this combination.
>
> I didn't read all of the file, but I checked the basic stuff, and it
> seems to be fine.  It also built and didn't immediately crash Emacs, but
> I don't think I know how to use xwidgets (I also had to fake a pkgconfig
> file for some reason, and try three distros to get it to work at
> all...)
>
> No guarantees, but I pushed something.  I had to copy out of a docker
> container so hopefully made the same changes on scratch/igc.
>
> I'd be very interested to hear whether this survives some GC cycles (M-x
> igc-stats; then hit "c" a few times) when xwidgets are in use.  If it
> does, we can close this bug.
>
> Pip
>
>